Package twisted :: Package protocols :: Module socks :: Class SOCKSv4

[show private | hide private]
[frames | no frames]

## Class SOCKSv4

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      SOCKSv4

Method Summary
| `__init__(self, logging)`
| `authorize(self, code, server, port, user)`
| `connectClass(self, host, port, klass, *args)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| `listenClass(self, port, klass, *args)`
| `log(self, proto, data)`
| `makeReply(self, reply, version, port, ip)`
| `write(self, data)`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:18:03 2003 | http://epydoc.sf.net